> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1businesses approbationsbulkreject



## OpenAPI

````yaml /api-reference/openapi.json post /v1/businesses/{businessId}/approbations/bulk/reject
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/approbations/bulk/reject:
    post:
      tags:
        - Approbations
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExpenseReportsBulkRejectApprobationsRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ExpenseReportsBulkRejectApprobationsRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ExpenseReportsBulkRejectApprobationsRequest'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/ExpenseReportsBulkExpenseReportActionResponse
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ExpenseReportsBulkExpenseReportActionResponse
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/ExpenseReportsBulkExpenseReportActionResponse
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
components:
  schemas:
    ExpenseReportsBulkRejectApprobationsRequest:
      type: object
      properties:
        reportIds:
          type: array
          items:
            type: integer
            format: int64
          nullable: true
        reason:
          type: string
          nullable: true
      additionalProperties: false
    ExpenseReportsBulkExpenseReportActionResponse:
      type: object
      properties:
        successCount:
          type: integer
          format: int32
        failedCount:
          type: integer
          format: int32
        skippedCount:
          type: integer
          format: int32
        results:
          type: array
          items:
            $ref: '#/components/schemas/ExpenseReportsBulkExpenseReportActionResult'
          nullable: true
      additionalProperties: false
    MicrosoftAspNetCoreMvcProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    ExpenseReportsBulkExpenseReportActionResult:
      type: object
      properties:
        reportId:
          type: integer
          format: int64
        success:
          type: boolean
        error:
          type: string
          nullable: true
        errorCode:
          type: string
          nullable: true
        currentStatus:
          $ref: '#/components/schemas/ModelsExpenseReportsSBExpenseReportStatus'
      additionalProperties: false
    ModelsExpenseReportsSBExpenseReportStatus:
      enum:
        - DRAFT
        - SUBMITTED
        - UNDER_REVIEW
        - APPROVED
        - REJECTED
        - REIMBURSED
        - CANCELLED
        - REIMBURSEMENT_PLANNED
        - REQUIRES_CHANGES
        - PARTIALLY_APPROVED
        - PARTIALLY_REIMBURSED
      type: string

````